Skip to main content

Python 3.8 and dlib error on macOS

Ongoing

Comments

5 comments

  • Jaromił Najman
    Gurobi Staff Gurobi Staff

    Hi José,

    Is it possible that you used

    python setup.py install

    instead of

    python3 setup.py install

    ?

    Best regards,
    Jaromił

    0
  • José Joaquim de Andrade Neto
    Gurobi-versary
    First Question
    First Comment

    Hi Jaromił,
    Thanks for the reply!
    Yes, I used the python3 setup.py install command.
    I imagined that since I'm using python3, that this should be my option for the command.
    Because of your question, I executed python setup.py install and now everything is fine.
    I'm wondering what was the problem since this is the first time that the command with python3 did not work.

    0
  • Jaromił Najman
    Gurobi Staff Gurobi Staff

    Hi José,

    I would expect the same. Maybe something is/was messed up with the Python distribution and installing Gurobi via \(\texttt{python ...}\) fixed it. This is often the case with multiple Python installations, even with just updated Python distributions.

    Anyway, good to hear that it works now.

    Best regards,
    Jaromił

    0
  • Hamidreza Khajeh Arzani
    Gurobi-versary
    First Comment

    Hi, I have the same issue with Gurobi 9.5.1 (experimental version) on mac M1. I tried both python and python3, and they didn't work. Any help would be much appreciated. 

    0
  • Jaromił Najman
    Gurobi Staff Gurobi Staff

    Hi Hamidreza,

    Could you please share the error you get? Which Python version are you using? How did you install Gurobi 9.5.1 on your Mac?

    Best regards, 
    Jaromił

    0

Please sign in to leave a comment.